> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post folderv1folders extendedpermissions

> Updates folder permissions and related flags in Secured Folder and Document Management libraries



## OpenAPI

````yaml /openapis/folder.json post /folder/v1/folders/{folderId}/extendedPermissions
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: folder
    description: Lets you list existing folders, update folders, create new folders, ...
paths:
  /folder/v1/folders/{folderId}/extendedPermissions:
    post:
      tags:
        - folder
      description: >-
        Updates folder permissions and related flags in Secured Folder and
        Document Management libraries
      operationId: folder:v1.Folder.patchPermissions
      parameters:
        - $ref: '#/components/parameters/folderId_path_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiFolderPermissions'
        required: true
      responses:
        '200':
          description: A ApiFolderPermissions response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiFolderPermissions'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    folderId_path_parameter:
      name: folderId
      in: path
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiFolderPermissions:
      type: object
      properties:
        folderId:
          type: string
        inheritPermissions:
          type: boolean
          description: Whether the folder inherits permissions from its parent folder
        inheritedRestrictedDownload:
          type: boolean
          description: >-
            Whether the attachments of the document are restricted to download,
            copy and print for readers and commenters because of an ancestor
            (read-only)
        kind:
          type: string
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/ApiExtendedPermission'
        restrictedDownload:
          type: boolean
          description: >-
            Whether the attachments of the documents are explicitly marked as
            restricted to download, copy and print for readers and commenters
    ApiExtendedPermission:
      type: object
      properties:
        inherited:
          type: boolean
          description: Indicates whether the permission is inherited from a parent
        name:
          type: string
          description: >-
            The displayed name for the permission: the name of the user or the
            group, or the display name of the role (read-only)
        name_i18n:
          type: string
          description: >-
            If there is an internationalized name of the permission e.g. in the
            case of system roles (read-only)
        role:
          type: string
          enum:
            - READER
            - COMMENTER
            - ATTACHMENT_EDITOR
            - PROPERTY_EDITOR
            - WRITER
        thumbnailPhotoUrl:
          type: string
          description: >-
            The URL of the thumbnail picture of the permitted user or group
            (read-only)
        type:
          type: string
          enum:
            - ANYONE
            - DOMAIN
            - GROUP
            - USER
            - ROLE
        value:
          type: string
          description: >-
            The email of the user of group, the id of the role or field, the
            name of the domain, empty otherwise
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````